package cn.ibizlab.core.lite.extensions.service;

import cn.ibizlab.core.lite.extensions.domain.EntityModel;
import cn.ibizlab.core.lite.extensions.domain.EntityObj;
import cn.ibizlab.core.lite.extensions.model.DataModel;
import cn.ibizlab.util.filter.QueryFilter;
import org.springframework.stereotype.Service;

import java.sql.Timestamp;
import java.util.List;
import java.util.Set;

@Service
public class MongoEntityService implements CommonEntityService{


    @Override
    public List<EntityObj> selectBase(String dsName, EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> selectCore(String dsName, EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public Integer selectCount(String dsName, EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> search(String dsName, String dataSet, EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> search(String dsName, String sql, QueryFilter filter) {
        return null;
    }

    @Override
    public void cursorRead(String dsName, EntityModel entityModel, String sql, QueryFilter filter, LiteDataCallback callback) {

    }

    @Override
    public boolean saveBatch(String dsName, EntityModel entityModel, List<EntityObj> list) {
        return false;
    }

    @Override
    public boolean save(String dsName, EntityModel entityModel, EntityObj entityObj) {
        return false;
    }

    @Override
    public EntityObj get(String dsName, EntityModel entityModel, EntityObj entityObj) {
        return null;
    }

    @Override
    public void processList(DataModel dataModel, Timestamp lastModify, LiteDataCallback callback) {
        this.processList(dataModel, "", lastModify, callback);
    }
    @Override
    public void processList(DataModel dataModel, String extCond, Timestamp lastModify, LiteDataCallback callback) {

    }
}
